/***************************************************************************
 *   Copyright (C) 2006 by Tomasz Salacinski   *
 *   distortion@vp.pl   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "debugwindowinformation.h"
#include <qfile.h>
#include <ktextbrowser.h>
#include <kprocess.h>


debugWindowInformation::debugWindowInformation(QWidget *parent, const char *name, QString xorg)
    :debugDialogWindow(parent, name)
{
QFile *xo = new QFile ("/etc/X11/xorg.conf");
xo->open(IO_ReadOnly);
int a = 0;
QString buffer = "";
QString toWrite = "";
while (a > -1)
{
if (xo->atEnd()) { break; }
xo->readLine(buffer, 4096);
toWrite = toWrite.append(buffer);
}
xo->close();
delete xo;
textBrowser7->setText(toWrite);
textBrowser2->setText(xorg);
}

void debugWindowInformation :: saveAndSend()
{
QFile *file = new QFile("/tmp/kxgenerator-xorg.conf.generated");
file->open(IO_WriteOnly);
file->writeBlock(textBrowser2->text(), textBrowser2->text().length());
file->close();
file->setName("/tmp/kxgenerator-xorg.conf.original");
file->open(IO_WriteOnly);
file->writeBlock(textBrowser7->text(), textBrowser7->text().length());
file->close();



   KProcess *archProc = new KProcess;

*archProc << "tar" << "-cf" << "kxgenerator-output.tar.bz2"<< "--remove-files" << "kxgenerator-xorg.conf.generated" << "kxgenerator-xorg.conf.original" << "-j";
archProc->setWorkingDirectory("/tmp");
archProc->start();

   KProcess *mailProc = new KProcess;
*mailProc << "kmail" << "--composer" << "-s" << "kX Generator debug" << "--body" << "Describe closer your problem here:\n\n\nFiles attached:\nxorg.conf - original (from /etc/X11/xorg.conf)\nxorg.conf - in progress\n" << "--attach" << "/tmp/kxgenerator-output.tar.bz2" << "kx.generator@onet.eu";

mailProc->start();






}

void debugWindowInformation :: reject()
{
QFile *toRem = new QFile("/tmp/kxgenerator-output.tar.bz2");
toRem->remove();
toRem->close();
delete toRem;
delete this;

}

#include "debugwindowinformation.moc"
