/***************************************************************************
 *   Copyright (C) 2006 by Tomasz Salacinski   *
 *   distortion@vp.pl   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "kxmain.h"
#include "debugwindowinformation.h"
#include "dpmsglobaldialog.h"
#include "gammadialogclass.h"
#include "advancedserverflagsclass.h"
#include "aboutdialogwindow.h"
#include "kbdoptionsdialog.h"
#include "mousedriverdialog.h"
#include "nvidiadriveroptionsbigdialog.h"
#include "advancedmonitordialogclass.h"
#include "wacomdrvdialogclass.h"

#include <qtooltip.h>
#include <qgroupbox.h>
#include <qcheckbox.h>
#include <qtabwidget.h>

#include <kpushbutton.h>
#include <kactivelabel.h>
#include <knuminput.h>
#include <klocale.h>
#include <kcombobox.h>
#include <klistbox.h>
#include <ksqueezedtextlabel.h>

///@todo LOCALE!!!!!

QString nvidiaDriverOptionsBigDialog :: locRet(int number)
{
QString toReturn = "(none)";
if (number == 1) { toReturn = i18n("This MetaMode is already on the list."); }
if (number == 2) { toReturn = i18n("Insert output device to ignore."); }
if (number == 3) { toReturn = i18n("Output device:"); }
if (number == 4) { toReturn = i18n("You can't insert any more items."); }
return toReturn;
}

QString kxMain :: locRet(int number)
{
QString toReturn = "(none)";
if (number == 1) { toReturn = i18n("Add module"); }
if (number == 2) { toReturn = i18n("Enter new module name:"); }
if (number == 3) { toReturn = i18n("Change server layout name:"); }
if (number == 4) { toReturn = i18n("Enter new name for %1:").arg(listBox16->text(listBox16->currentItem())); }
if (number == 5) { toReturn = i18n("Add new screen"); }
if (number == 6) { toReturn = i18n("Select screen to add:"); }
if (number == 7) { toReturn = i18n("This screen is already on list."); }
if (number == 8) { toReturn = i18n("Add new pointer"); }
if (number == 9) { toReturn = i18n("Select pointer to add:"); }
if (number == 10) { toReturn = i18n("This pointer is already on list."); }
if (number == 11) { toReturn = i18n("Add new keyboard"); }
if (number == 12) { toReturn = i18n("Select keyboard to add:"); }
if (number == 13) { toReturn = i18n("This keyboard is already on list."); }
if (number == 14) { toReturn = i18n("Properties dialog for driver %1 is not implemented yet.").arg(comboBox6->text(comboBox6->currentItem()).section(" - ", 0, 0)); }
if (number == 15) { toReturn = i18n("Properties dialog for driver %1 is not implemented yet.").arg(comboBox3->text(comboBox3->currentItem()).section(" - ", 0, 0)); }
if (number == 16) { toReturn = i18n("Properties dialog for driver %1 is not implemented yet.").arg(videoComboBox->text(videoComboBox->currentItem()).section(" - ", 0, 0)); }
if (number == 17) { toReturn = i18n(" entry"); }
if (number == 18) { toReturn = i18n(" entries"); }
if (number == 19) { toReturn = i18n("There must be at least one Device entry."); }
if (number == 20) { toReturn = i18n("There must be at least one Monitor entry."); }
if (number == 21) { toReturn = i18n("There must be at least one ServerLayout entry."); }
if (number == 22) { toReturn = i18n("Module is already on list!"); }
if (number == 23) { toReturn = i18n("1 entry"); }
if (number == 24) { toReturn = i18n("There must be at least one Pointer entry."); }
if (number == 25) { toReturn = i18n("There must be at least one Keyboard entry."); }
if (number == 26) { toReturn = i18n("This mode is already on list."); }
if (number == 27) { toReturn = i18n("This depth is already on list."); }
if (number == 28) { toReturn = i18n("There must be at least one Screen entry."); }




return toReturn;
}

void kxMain :: setLocale()						//OK
{
    setCaption( tr2i18n( "KDE X Server Configuration" ) );
    generateButton->setText( tr2i18n( "Save" ) );
    AboutButton->setText( tr2i18n( "About" ) );
    QuitButton->setText( tr2i18n( "&Quit" ) );
    resetButton->setText( tr2i18n( "Reset" ) );
    debugButton->setText( tr2i18n( "Debug &information" ) );
    groupBox15->setTitle( tr2i18n( "Extensions" ) );
    checkBox4_2->setText( tr2i18n( "Composite" ) );
    checkBox8->setText( tr2i18n( "&Xinerama" ) );
    ServerFlagsContainer->setTitle( tr2i18n( "Server Flags" ) );
    DefaultServerLayoutContainer->setTitle( tr2i18n( "Default Server Layout" ) );
    checkBox5->setText( tr2i18n( "Disable Ctrl+Alt+S&hift+Backspace" ) );
    QToolTip::add( checkBox5, tr2i18n( "<b>Option \"DontZap\" \"boolean\"</b><br>This disallows the use of the Ctrl+Alt+Backspace sequence. That sequence is normally used to terminate the Xorg server. When this option is enabled, that key sequence has no special meaning and is passed to clients. Default: off." ) );
    checkBox6->setText( tr2i18n( "Disable &zooming" ) );
    QToolTip::add( checkBox6, tr2i18n( "<b>Option \"DontZoom\" \"boolean\"</b><br>This disallows the use of the Ctrl+Alt+Keypad-Plus and Ctrl+Alt+Keypad-Minus sequences. These sequences allows you to switch between video modes. When this option is enabled, those key sequences have no special meaning and are passed to clients. Default: off." ) );
    checkBox11->setText( tr2i18n( "Allow Closedown Grabs" ) );
    QToolTip::add( checkBox11, tr2i18n( "<b>Option \"AllowClosedownGrabs\" \"boolean\"</b><br>This option enables the use of the Ctrl+Alt+Keypad-Multiply key sequence to kill clients with an active keyboard or mouse grab as well as killing any application that may have locked the server, normally using the XGrabServer(3x) Xlib function. Default: off. \n"
" Note that the options AllowDeactivateGrabs and AllowClosedownGrabs will allow users to remove the grab used by screen saver/locker programs. An API was written to such cases. If you enable this option, make sure your screen saver/locker is updated." ) );
    checkBox10->setText( tr2i18n( "Allow Deactivate Grabs" ) );
    QToolTip::add( checkBox10, tr2i18n( "<b>Option \"AllowDeactivateGrabs\" \"boolean\"</b><br>This option enables the use of the Ctrl+Alt+Keypad-Divide key sequence to deactivate any active keyboard and mouse grabs. Default: off." ) );
    checkBox12->setText( tr2i18n( "No Trap Signals" ) );
    QToolTip::add( checkBox12, tr2i18n( "<b>Option \"NoTrapSignals\" \"boolean\"</b><br>This prevents the Xorg server from trapping a range of unexpected fatal signals and exiting cleanly. Instead, the Xorg server will die and drop core where the fault occurred. The default behaviour is for the Xorg server to exit cleanly, but still drop a core file. In general you never want to use this option unless you are debugging an Xorg server problem and know how to deal with the consequences." ) );
    checkBox13->setText( tr2i18n( "Start even if mouse not initialized" ) );
    QToolTip::add( checkBox13, tr2i18n( "<b>Option \"AllowMouseOpenFail\" \"boolean\"</b><br>This allows the server to start up even if the mouse device can't be opened/initialised. Default: false." ) );
    checkBox14->setText( tr2i18n( "PC&98 Machine" ) );
    QToolTip::add( checkBox14, tr2i18n( "<b>Option \"PC98\" \"boolean\"</b><br>Specify that the machine is a Japanese PC-98 machine. This should not be enabled for anything other than the Japanese-specific PC-98 architecture. Default: auto-detected." ) );
    checkBox15->setText( tr2i18n( "Disable power management support" ) );
    QToolTip::add( checkBox15, tr2i18n( "<b>Option \"NoPM\" \"boolean\"</b><br>Disables something to do with power management events. Default: PM enabled on platforms that support it." ) );
    checkBox9->setText( tr2i18n( "Disable Ctrl+Alt+Fn screen switching" ) );
    QToolTip::add( checkBox9, tr2i18n( "<b>Option \"DontVTSwitch\" \"boolean\"</b><br>This disallows the use of the Ctrl+Alt+Fn sequence (where Fn refers to one of the numbered function keys). That sequence is normally used to switch to another \"virtual terminal\" on operating systems that have this feature. When this option is enabled, that key sequence has no special meaning and is passed to clients. Default: off." ) );
    GlobalDpmsButton->setText( tr2i18n( "DPMS" ) );
    advancedGlobalFlagsButton->setText( tr2i18n( "Advanced" ) );
    groupBox13->setTitle( tr2i18n( "Modules" ) );
    addModuleToComboButton->setText( tr2i18n( "Add" ) );
    addModuleToListButton->setText( tr2i18n( "Add to list" ) );
    removeModuleFromListButton->setText( tr2i18n( "Remove selected" ) );
    textLabel2->setText( tr2i18n( "Current modules:" ) );
    textLabel1->setText( tr2i18n( "Choose a module to add:" ) );
    tabWidget2->changeTab( GenTab, tr2i18n( "&General" ) );
    addServerLayoutButton->setText( tr2i18n( "Add" ) );
    addSrvLayScreenButton->setText( tr2i18n( "Add" ) );
    removeSrvLayScreenButton->setText( tr2i18n( "Remove" ) );
    pushButton49->setText( tr2i18n( "Core pointers" ) );
    addSrvLayMouseButton->setText( tr2i18n( "Add" ) );
    removeSrvLayMouseButton->setText( tr2i18n( "Remove" ) );
    addSrvLayKeyboardButton->setText( tr2i18n( "Add" ) );
    removeSrvLayKeyboardButton->setText( tr2i18n( "Remove" ) );
    groupBox81->setTitle( tr2i18n( "Server Flags" ) );
    SrvFlag3->setText( tr2i18n( "Disable Ctrl+Alt+Fn screen switching" ) );
    SrvFlag6->setText( tr2i18n( "No Trap Signals" ) );
    SrvFlag7->setText( tr2i18n( "Start even if mouse not initialized" ) );
    SrvFlag8->setText( tr2i18n( "PC&98 Machine" ) );
    SrvFlag9->setText( tr2i18n( "Disable power management support" ) );
    SrvFlag2->setText( tr2i18n( "Disable &zooming" ) );
    SrvFlag4->setText( tr2i18n( "Allow Deactivate Grabs" ) );
    SrvFlag5->setText( tr2i18n( "Allow Closedown Grabs" ) );
    SrvFlag1->setText( tr2i18n( "Disable Ctrl+Alt+S&hift+Backspace" ) );
    pushButton46_2->setText( tr2i18n( "DPMS" ) );
    pushButton160->setText( tr2i18n( "Advanced" ) );
    kSqueezedTextLabel2->setText( tr2i18n( "Server Layout" ) );
    kSqueezedTextLabel3->setText( tr2i18n( "Screen" ) );
    kSqueezedTextLabel4->setText( tr2i18n( "Pointer" ) );
    kSqueezedTextLabel5->setText( tr2i18n( "Keyboard" ) );
    removeServerLayoutButton->setText( tr2i18n( "Remove" ) );
    tabWidget2->changeTab( SrvLayTab, tr2i18n( "Server La&yout" ) );
    fontsGroupBox->setTitle( tr2i18n( "Custom font path" ) );
    addFontDirButton->setText( tr2i18n( "Add..." ) );
    removeFontDirButton->setText( tr2i18n( "Remove" ) );
    modulesPathGroupBox->setTitle( tr2i18n( "Custom modules path" ) );
    addModulesDirButton->setText( tr2i18n( "Add..." ) );
    removeModulesDirButton->setText( tr2i18n( "Remove" ) );
    rgbGroupBox->setTitle( tr2i18n( "Custom RGB path" ) );
    kSqueezedTextLabel95->setText( tr2i18n( "Path:" ) );
    tabWidget2->changeTab( FilesTab, tr2i18n( "&Files" ) );
    groupBox7->setTitle( tr2i18n( "Pointer" ) );
    checkBox4->setText( tr2i18n( "&Use default" ) );
    kSqueezedTextLabel6->setText( tr2i18n( "Driver:" ) );
    kSqueezedTextLabel7->setText( tr2i18n( "Identifier:" ) );
    comboBox3->clear();
    comboBox3->insertItem( tr2i18n( "mouse - Mouse input driver" ) );
    comboBox3->insertItem( tr2i18n( "penmount - PenMount input driver" ) );
    comboBox3->insertItem( tr2i18n( "mutouch - Microtouch input driver" ) );
    comboBox3->insertItem( tr2i18n( "tek4957 - Tektronix 4957 input driver" ) );
    comboBox3->insertItem( tr2i18n( "void - null input driver" ) );
    comboBox3->insertItem( tr2i18n( "aiptek - Aiptek USB Digital Tablet driver" ) );
    comboBox3->insertItem( tr2i18n( "dmc - DMC input driver" ) );
    comboBox3->insertItem( tr2i18n( "dynapro - Dynapro input driver" ) );
    comboBox3->insertItem( tr2i18n( "elographics - Elographics input driver" ) );
    comboBox3->insertItem( tr2i18n( "fpit - Fujitsu Stylistic input driver" ) );
    comboBox3->insertItem( tr2i18n( "js_x - JamStudio input driver" ) );
    comboBox3->insertItem( tr2i18n( "wacom - Wacom input driver" ) );
    deviceLabel->setText( tr2i18n( "Device:" ) );
    textLabel3_3->setText( tr2i18n( "0 entries" ) );
    addPointerButton->setText( tr2i18n( "Add" ) );
    removePointerButton->setText( tr2i18n( "Re&move" ) );
    advPointerOptions->setText( tr2i18n( "Advanced options..." ) );
    groupBox8->setTitle( tr2i18n( "Keyboard" ) );
    textLabel4_4->setText( tr2i18n( "0 entries" ) );
    addKeyboardButton->setText( tr2i18n( "Add" ) );
    removeKeyboardButton->setText( tr2i18n( "Remove" ) );
    checkBox40->setText( tr2i18n( "Default" ) );
    kSqueezedTextLabel9->setText( tr2i18n( "Driver:" ) );
    kSqueezedTextLabel10->setText( tr2i18n( "Identifier:" ) );
    kSqueezedTextLabel12->setText( tr2i18n( "Keyboard layout:" ) );
    comboBox9->clear();
    comboBox9->insertItem( tr2i18n( "pc105" ) );
    comboBox9->insertItem( tr2i18n( "pc104" ) );
    comboBox9->insertItem( tr2i18n( "logicordless" ) );
    comboBox9->insertItem( tr2i18n( "macintosh" ) );
    comboBox9->insertItem( tr2i18n( "pc98" ) );
    textLabel11->setText( tr2i18n( "Model:" ) );
    comboBox10->clear();
    comboBox10->insertItem( tr2i18n( "af - Afrikaans" ) );
    comboBox10->insertItem( tr2i18n( "ar - Arabic" ) );
    comboBox10->insertItem( tr2i18n( "bg - Bulgarian" ) );
    comboBox10->insertItem( tr2i18n( "bo - Tibetan" ) );
    comboBox10->insertItem( tr2i18n( "br - Breton" ) );
    comboBox10->insertItem( tr2i18n( "ca - Catalan" ) );
    comboBox10->insertItem( tr2i18n( "cs - Czech" ) );
    comboBox10->insertItem( tr2i18n( "cy - Welsh" ) );
    comboBox10->insertItem( tr2i18n( "da - Danish" ) );
    comboBox10->insertItem( tr2i18n( "de - German" ) );
    comboBox10->insertItem( tr2i18n( "el - Greek" ) );
    comboBox10->insertItem( tr2i18n( "en_GB - English (Great Britain)" ) );
    comboBox10->insertItem( tr2i18n( "en_US - English (United States)" ) );
    comboBox10->insertItem( tr2i18n( "eo - Esperanto" ) );
    comboBox10->insertItem( tr2i18n( "es - Spanish" ) );
    comboBox10->insertItem( tr2i18n( "et - Estonian" ) );
    comboBox10->insertItem( tr2i18n( "eu - Basque" ) );
    comboBox10->insertItem( tr2i18n( "fi - Finnish" ) );
    comboBox10->insertItem( tr2i18n( "fr - French" ) );
    comboBox10->insertItem( tr2i18n( "ga - Irish" ) );
    comboBox10->insertItem( tr2i18n( "gl - Galician" ) );
    comboBox10->insertItem( tr2i18n( "gu - Gujarati" ) );
    comboBox10->insertItem( tr2i18n( "he - Hebrew" ) );
    comboBox10->insertItem( tr2i18n( "hi - Hindi" ) );
    comboBox10->insertItem( tr2i18n( "hu - Hungarian" ) );
    comboBox10->insertItem( tr2i18n( "id - Indonesian" ) );
    comboBox10->insertItem( tr2i18n( "is - Icelandic" ) );
    comboBox10->insertItem( tr2i18n( "it - Italian" ) );
    comboBox10->insertItem( tr2i18n( "ja - Japanese" ) );
    comboBox10->insertItem( tr2i18n( "km - Cambodian" ) );
    comboBox10->insertItem( tr2i18n( "ko - Korean" ) );
    comboBox10->insertItem( tr2i18n( "lt - Lithuanian" ) );
    comboBox10->insertItem( tr2i18n( "lv - Latvian (Lettish)" ) );
    comboBox10->insertItem( tr2i18n( "mi - Maori" ) );
    comboBox10->insertItem( tr2i18n( "mk - Macedonian" ) );
    comboBox10->insertItem( tr2i18n( "mr - Marathi" ) );
    comboBox10->insertItem( tr2i18n( "nl - Dutch" ) );
    comboBox10->insertItem( tr2i18n( "no - Norwegian" ) );
    comboBox10->insertItem( tr2i18n( "oc - Occitan" ) );
    comboBox10->insertItem( tr2i18n( "pl - Polish" ) );
    comboBox10->insertItem( tr2i18n( "pt - Portuguese" ) );
    comboBox10->insertItem( tr2i18n( "ro - Romanian" ) );
    comboBox10->insertItem( tr2i18n( "ru - Russian" ) );
    comboBox10->insertItem( tr2i18n( "sk - Slovak" ) );
    comboBox10->insertItem( tr2i18n( "sl - Slovenian" ) );
    comboBox10->insertItem( tr2i18n( "sr - Serbian" ) );
    comboBox10->insertItem( tr2i18n( "sv - Swedish" ) );
    comboBox10->insertItem( tr2i18n( "ta - Tamil" ) );
    comboBox10->insertItem( tr2i18n( "th - Thai" ) );
    comboBox10->insertItem( tr2i18n( "tr - Turkish" ) );
    comboBox10->insertItem( tr2i18n( "uk - Ukrainian" ) );
    advKeyboardOptionsButton->setText( tr2i18n( "Advanced options..." ) );
    comboBox6->clear();
    comboBox6->insertItem( tr2i18n( "keyboard - Keyboard input driver" ) );
    comboBox6->insertItem( tr2i18n( "kbd - Keyboard input driver" ) );
    tabWidget2->changeTab( InputTab, tr2i18n( "&Pointer && Keyboard" ) );
    groupBox6->setTitle( tr2i18n( "Monitor" ) );
    addMonitorButton->setText( tr2i18n( "Add" ) );
    removeMonitorButton->setText( tr2i18n( "Remove" ) );
    monitorEntriesLabel->setText( tr2i18n( "0 entries" ) );
    kSqueezedTextLabel17->setText( tr2i18n( "Identifier:" ) );
    kSqueezedTextLabel18->setText( tr2i18n( "Model:" ) );
    kSqueezedTextLabel19->setText( tr2i18n( "Vendor:" ) );
    kSqueezedTextLabel20->setText( tr2i18n( "Note: the model and vendor fields are optional." ) );
    checkBox16->setText( tr2i18n( "&Monitor is DPMS compilant" ) );
    refreshRatesButton->setText( tr2i18n( "Refresh rates..." ) );
    gammaButton->setText( tr2i18n( "Gamma values" ) );
    groupBox4->setTitle( tr2i18n( "Graphics card" ) );
    addDeviceButton->setText( tr2i18n( "Add" ) );
    removeDeviceButton->setText( tr2i18n( "Remove" ) );
    videoEntriesLabel->setText( tr2i18n( "0 entries" ) );
    kSqueezedTextLabel16->setText( tr2i18n( "Video device:" ) );
    videoComboBox->clear();
    videoComboBox->insertItem( tr2i18n( "apm - Alliance ProMotion video driver" ) );
    videoComboBox->insertItem( tr2i18n( "chips - Chips and Technologies video driver" ) );
    videoComboBox->insertItem( tr2i18n( "cirrus - Cirrus Logic video driver" ) );
    videoComboBox->insertItem( tr2i18n( "cyrix - Cyrix video driver" ) );
    videoComboBox->insertItem( tr2i18n( "fbdev - video driver for framebuffer device" ) );
    videoComboBox->insertItem( tr2i18n( "glide - Glide video driver" ) );
    videoComboBox->insertItem( tr2i18n( "glint - GLINT/Permedia video driver" ) );
    videoComboBox->insertItem( tr2i18n( "i128 - Number 9 I128 video driver" ) );
    videoComboBox->insertItem( tr2i18n( "i740 - Intel i740 video driver" ) );
    videoComboBox->insertItem( tr2i18n( "i810 - Intel 8xx integrated graphics chipsets" ) );
    videoComboBox->insertItem( tr2i18n( "mga - Matrox video driver" ) );
    videoComboBox->insertItem( tr2i18n( "neomagic - Neomagic video driver" ) );
    videoComboBox->insertItem( tr2i18n( "newport - Newport video driver" ) );
    videoComboBox->insertItem( tr2i18n( "nsc - Nsc video driver" ) );
    videoComboBox->insertItem( tr2i18n( "nv - NVIDIA video driver" ) );
    videoComboBox->insertItem( tr2i18n( "nvidia - NVidia Accelerated Graphics driver" ) );
    videoComboBox->insertItem( tr2i18n( "palmax - Palmax (TR88L803) touchscreen driver" ) );
    videoComboBox->insertItem( tr2i18n( "r128 - ATI Rage 128 video driver" ) );
    videoComboBox->insertItem( tr2i18n( "radeon - ATI RADEON video driver" ) );
    videoComboBox->insertItem( tr2i18n( "rendition - Rendition video driver" ) );
    videoComboBox->insertItem( tr2i18n( "s3virge - S3 ViRGE video driver" ) );
    videoComboBox->insertItem( tr2i18n( "savage - S3 Savage video driver" ) );
    videoComboBox->insertItem( tr2i18n( "siliconmotion - Silicon Motion video driver" ) );
    videoComboBox->insertItem( tr2i18n( "sis - SiS and XGI video driver" ) );
    videoComboBox->insertItem( tr2i18n( "sisusb - SiS USB video driver" ) );
    videoComboBox->insertItem( tr2i18n( "sunbw2 - BW2 video driver" ) );
    videoComboBox->insertItem( tr2i18n( "suncg14 - CG14 video driver" ) );
    videoComboBox->insertItem( tr2i18n( "suncg3 - CG3 video driver" ) );
    videoComboBox->insertItem( tr2i18n( "suncg6 - GX/Turbo GX video driver" ) );
    videoComboBox->insertItem( tr2i18n( "sunffb - SUNFFB video driver" ) );
    videoComboBox->insertItem( tr2i18n( "sunleo - Leo video driver" ) );
    videoComboBox->insertItem( tr2i18n( "suntcx - TCX video driver" ) );
    videoComboBox->insertItem( tr2i18n( "tdfx - 3Dfx video driver" ) );
    videoComboBox->insertItem( tr2i18n( "trident - Trident video driver" ) );
    videoComboBox->insertItem( tr2i18n( "tseng - Tseng Labs video driver" ) );
    videoComboBox->insertItem( tr2i18n( "v4l - video4linux driver" ) );
    videoComboBox->insertItem( tr2i18n( "vesa - Generic VESA video driver" ) );
    videoComboBox->insertItem( tr2i18n( "vga - Generic VGA video driver" ) );
    videoComboBox->insertItem( tr2i18n( "via - VIA unichrome graphics driver" ) );
    videoComboBox->insertItem( tr2i18n( "vmware - VMware SVGA video driver" ) );
    kSqueezedTextLabel22->setText( tr2i18n( "Identifier:" ) );
    kSqueezedTextLabel23->setText( tr2i18n( "Vendor:" ) );
    kPushButton31->setText( tr2i18n( "Advanced" ) );
    tabWidget2->changeTab( ViewportTab, tr2i18n( "&Videocard && Monitor settings" ) );
    groupBox17->setTitle( tr2i18n( "General options" ) );
    removeScreenButton->setText( tr2i18n( "Re&move" ) );
    QToolTip::add( removeScreenButton, tr2i18n( "Remove current keyboard input device." ) );
    kSqueezedTextLabel26->setText( tr2i18n( "Monitor:" ) );
    kSqueezedTextLabel25->setText( tr2i18n( "Identifier:" ) );
    kSqueezedTextLabel27->setText( tr2i18n( "Device:" ) );
    scrSpinLabel->setText( tr2i18n( "0 entries" ) );
    addScreenButton->setText( tr2i18n( "Add" ) );
    QToolTip::add( addScreenButton, tr2i18n( "Add new keyboard input device." ) );
    groupBox16->setTitle( tr2i18n( "Screen modes" ) );
    kSqueezedTextLabel28->setText( tr2i18n( "Default color depth:" ) );
    kSqueezedTextLabel31->setText( tr2i18n( "Screen mode:" ) );
    kSqueezedTextLabel30->setText( tr2i18n( "Color depth:" ) );
    removeDepthButton->setText( tr2i18n( "Remove selected" ) );
    removeModeButton->setText( tr2i18n( "Remove selected" ) );
    depthComboBox->clear();
    depthComboBox->insertItem( tr2i18n( "8 bpp" ) );
    depthComboBox->insertItem( tr2i18n( "16 bpp" ) );
    depthComboBox->insertItem( tr2i18n( "24 bpp" ) );
    depthComboBox->insertItem( tr2i18n( "32 bpp" ) );
    modeComboBox->clear();
    modeComboBox->insertItem( tr2i18n( "320x200" ) );
    modeComboBox->insertItem( tr2i18n( "320x240" ) );
    modeComboBox->insertItem( tr2i18n( "400x300" ) );
    modeComboBox->insertItem( tr2i18n( "512x384" ) );
    modeComboBox->insertItem( tr2i18n( "640x400" ) );
    modeComboBox->insertItem( tr2i18n( "640x480" ) );
    modeComboBox->insertItem( tr2i18n( "800x600" ) );
    modeComboBox->insertItem( tr2i18n( "1024x768" ) );
    modeComboBox->insertItem( tr2i18n( "1152x864" ) );
    modeComboBox->insertItem( tr2i18n( "1280x960" ) );
    modeComboBox->insertItem( tr2i18n( "1280x1024" ) );
    modeComboBox->insertItem( tr2i18n( "1600x1200" ) );
    defaultDepthCombo->clear();
    defaultDepthCombo->insertItem( tr2i18n( "8 bpp" ) );
    defaultDepthCombo->insertItem( tr2i18n( "16 bpp" ) );
    defaultDepthCombo->insertItem( tr2i18n( "24 bpp" ) );
    defaultDepthCombo->insertItem( tr2i18n( "32 bpp" ) );
    addDepthButton->setText( tr2i18n( "Add" ) );
    addModeButton->setText( tr2i18n( "Add" ) );
    tabWidget2->changeTab( ScreenTab, tr2i18n( "&Screen" ) );
    groupBox17_2->setTitle( tr2i18n( "Add custom section" ) );
    commentCheckBox->setText( QString::null );
    kSqueezedTextLabel96->setText( tr2i18n( "Comment:" ) );
    tabWidget2->changeTab( CustomSectionTab, tr2i18n( "Cus&tom section" ) );
    textLabel2_2->setText( QString::null );


}

void advancedServerFlagsClass :: setLocale(int type)			//OK
{
if (type == -1) { setCaption(i18n("General Server Flags settings")); }
if (type > 0) { setCaption(i18n("Server flags setting for layout - " + x->getValue("SerevrLayout", type, "Identifier", 1))); }
checkBox25->setText(i18n("Disable VidMode extension"));
checkBox26->setText(i18n("Allow non-local Xvidtune"));
checkBox27->setText(i18n("No dynamic input device settings"));
checkBox28->setText(i18n("Change input setting from other host"));
checkBox29->setText(i18n("Enable the SYSV-style VT switch sequence"));
checkBox30->setText(i18n("Disable XKeyboard extension"));
checkBox32->setText(i18n("Special keys handling:"));
checkBox31->setText(i18n("Pixmap format:"));

comboBox14->insertItem(i18n("Always"));
comboBox14->insertItem(i18n("Never"));
comboBox14->insertItem(i18n("When needed"));
pushButton47->setText(i18n("OK"));
pushButton48->setText(i18n("Cancel"));
groupBox16->setTitle(i18n("Command to run after VT:"));
textLabel1->setText(i18n("Command:"));
}

void aboutDialogWindow :: setLocale()					//OK
{
    setCaption( tr2i18n( "About kX Generator..." ) );
    kActiveLabel1->setText( tr2i18n( "kX Generator 0.2.4 (c) 2006 by Tomasz Salacinski<br>\n"
"kx.generator@onet.eu<br>\n"
"<br>\n"
"If you find this app useful, please send me feedback and comments. If you find any bug, please send me step-by-step instruction how to generate this bug, your xorg.conf file and X log file.<br>\n"
"<br>\n"
"Icons used: nuvoX by Xavier Corredor Llano.\n"
"<br>\n"
"<br>" ) );
    Tab->changeTab( AboutTab, tr2i18n( "Abou&t..." ) );
    Tab->changeTab( LicenseTab, tr2i18n( "L&icense" ) );
    pushButton55->setText( tr2i18n( "Clo&se" ) );
}

void nvidiaDriverOptionsBigDialog :: setLocale()			//OK
{
    setCaption( tr2i18n( "NVIDIA Accelerated graphics driver properties" ) );
    okButton->setText( tr2i18n( "OK" ) );
    cancelButton->setText( tr2i18n( "Cance&l" ) );
    checkBox25->setText( tr2i18n( "No &logo" ) );
    QToolTip::add( checkBox25, tr2i18n( "        Option \"NoLogo\" \"boolean\"\n"
"                Disable drawing of the NVIDIA logo splash screen at\n"
"                X startup.  Default: the logo is drawn." ) );
    checkBox26->setText( tr2i18n( "&Hardware acceleration of RENDER extension" ) );
    QToolTip::add( checkBox26, tr2i18n( "        Option \"RenderAccel\" \"boolean\"\n"
"                Enable or disable hardware acceleration of the RENDER\n"
"                extension.  THIS OPTION IS EXPERIMENTAL.  ENABLE IT AT YOUR\n"
"                OWN RISK.  There is no correctness test suite for the\n"
"                RENDER extension so NVIDIA can not verify that RENDER\n"
"                acceleration works correctly.   Default: hardware\n"
"                acceleration of the RENDER extension is disabled." ) );
    checkBox27_2->setText( tr2i18n( "Disable RENDER extension" ) );
    QToolTip::add( checkBox27_2, tr2i18n( "        Option \"NoRenderExtension\" \"boolean\"\n"
"                Disable the RENDER extension.  Other than recompiling\n"
"                the X-server, XFree86 doesn't seem to have another way of\n"
"                disabling this.  Fortunatly, we can control this from the\n"
"                driver so we export this option.  This is useful in depth\n"
"                8 where RENDER would normally steal most of the default\n"
"                colormap. Default: RENDER is offered when possible." ) );
    checkBox27->setText( tr2i18n( "&UBB" ) );
    QToolTip::add( checkBox27, tr2i18n( "        Option \"UBB\" \"boolean\"\n"
"                Enable or disable Unified Back Buffer on any Quadro\n"
"                based GPUs (Quadro4 NVS excluded); please see\n"
"                Appendix M for a description of UBB.  This option has\n"
"                no affect on non-Quadro chipsets.  Default: UBB is on\n"
"                for Quadro chipsets." ) );
    checkBox27_3->setText( tr2i18n( "Enable window &flipping" ) );
    QToolTip::add( checkBox27_3, tr2i18n( "        Option \"WindowFlip\" \"boolean\"\n"
"                Enable or disable window flipping when UBB is enabled;\n"
"                please see Appendix M for a description.  This has no\n"
"                affect when UBB is off.  This may improve performance\n"
"                for 3D applications.  Default: Window flipping is off\n"
"                by default even when UBB is enabled." ) );
    checkBox27_3_2->setText( tr2i18n( "Enable page &flipping" ) );
    QToolTip::add( checkBox27_3_2, tr2i18n( "        Option \"PageFlip\" \"boolean\"\n"
"                Enable or disable page flipping; please see Appendix M\n"
"                for a description.  Default: page flipping is enabled." ) );
    checkBox31->setText( tr2i18n( "Dac &8 bit" ) );
    QToolTip::add( checkBox31, tr2i18n( "        Option \"Dac8Bit\" \"boolean\"\n"
"                Most Quadro parts by default use a 10 bit color look\n"
"                up table (LUT) by default; setting this option to TRUE forces\n"
"                these graphics chips to use an 8 bit (LUT).  Default:\n"
"                a 10 bit LUT is used, when available." ) );
    checkBox32->setText( tr2i18n( "Enable RGB workstation overlay visuals." ) );
    QToolTip::add( checkBox32, tr2i18n( "        Option \"Overlay\" \"boolean\"\n"
"                Enables RGB workstation overlay visuals.  This is only\n"
"                supported on Quadro4 and Quadro FX chips (Quadro4 NVS\n"
"                excluded) in depth 24.  This option causes the server to\n"
"                advertise the SERVER_OVERLAY_VISUALS root window property\n"
"                and GLX will report single and double buffered, Z-buffered\n"
"                16 bit overlay visuals.  The transparency key is pixel\n"
"                0x0000 (hex).  There is no gamma correction support in\n"
"                the overlay plane.  This feature requires XFree86 version\n"
"                4.1.0 or newer.  NV17/18 based Quadros (ie. 500/550 XGL)\n"
"                have additional restrictions, namely, overlays are not\n"
"                supported in TwinView mode or with virtual desktops\n"
"                larger than 2046x2047 in any dimension (eg.  it will not\n"
"                work in 2048x1536 modes).  Quadro 7xx/9xx and Quadro FX\n"
"                will offer overlay visuals in these modes (TwinView, or\n"
"                virtual desktops larger than 2046x2047), but the overlay\n"
"                will be emulated with a substantial performance penalty.\n"
"                Default: off." ) );
    checkBox33->setText( tr2i18n( "Enable Color &Index workstation overlay visuals" ) );
    QToolTip::add( checkBox33, tr2i18n( "        Option \"CIOverlay\" \"boolean\"\n"
"                Enables Color Index workstation overlay visuals with\n"
"                identical restrictions to Option \"Overlay\" above.\n"
"                The server will offer visuals both with and without a\n"
"                transparency key.  These are depth 8 PseudoColor visuals.\n"
"                Enabling Color Index overlays on X servers older than\n"
"                XFree86 4.3 will force the RENDER extension to be disabled\n"
"                due to bugs in the RENDER extension in older X servers.\n"
"                Default: off." ) );
    checkBox35->setText( tr2i18n( "Default overlay visual" ) );
    QToolTip::add( checkBox35, tr2i18n( "        Option \"OverlayDefaultVisual\" \"boolean\"\n"
"                When overlays are used, this option sets the default\n"
"                visual to an overlay visual thereby putting the root\n"
"                window in the overlay.  This option is not recommended\n"
"                for RGB overlays.  Default: off." ) );
    checkBox16->setText( tr2i18n( "Disable probing of EDID" ) );
    QToolTip::add( checkBox16, tr2i18n( "        Option \"IgnoreEDID\" \"boolean\"\n"
"                Disable probing of EDID (Extended Display Identification\n"
"                Data) from your monitor.  Requested modes are compared\n"
"                against values gotten from your monitor EDIDs (if any)\n"
"                during mode validation.  Some monitors are known to lie\n"
"                about their own capabilities.  Ignoring the values that\n"
"                the monitor gives may help get a certain mode validated.\n"
"                On the other hand, this may be dangerous if you don't\n"
"                know what you are doing.  Default: Use EDIDs." ) );
    checkBox15->setText( tr2i18n( "Use EDID Fre&quencies" ) );
    QToolTip::add( checkBox15, tr2i18n( "        Option \"UseEdidFreqs\" \"boolean\"\n"
"                This option causes the X server to use the HorizSync\n"
"                and VertRefresh ranges given in a display device's EDID,\n"
"                if any.  EDID provided range information will override\n"
"                the HorizSync and VertRefresh ranges specified in the\n"
"                Monitor section.  If a display device does not provide an\n"
"                EDID, or the EDID doesn't specify an hsync or vrefresh\n"
"                range, then the X server will default to the HorizSync\n"
"                and VertRefresh ranges specified in the Monitor section." ) );
    groupBox10->setTitle( tr2i18n( "Stereo (only Quadro chipsets)" ) );
    kComboBox7DDC_Glasses->clear();
    kComboBox7DDC_Glasses->insertItem( tr2i18n( "DDC Glasses" ) );
    kComboBox7DDC_Glasses->insertItem( tr2i18n( "Blueline Glasses" ) );
    kComboBox7DDC_Glasses->insertItem( tr2i18n( "Onboard stereo support" ) );
    kComboBox7DDC_Glasses->insertItem( tr2i18n( "TwinView clone mode stereo (\"passive\" stereo)" ) );
    groupBox18->setTitle( tr2i18n( "Custom AGP settings" ) );
    kComboBox14->clear();
    kComboBox14->insertItem( tr2i18n( "Disable AGP" ) );
    kComboBox14->insertItem( tr2i18n( "Use NVIDIA's internal AGP support if possible" ) );
    kComboBox14->insertItem( tr2i18n( "Use AGPGART if possible" ) );
    kComboBox14->insertItem( tr2i18n( "Use any AGP support (try AGPGART, then NVIDIA's AGP)" ) );
    groupBox17->setTitle( tr2i18n( "Digital vibrance" ) );
    QToolTip::add( groupBox17, tr2i18n( "        Option \"DigitalVibrance\" \"integer\"\n"
"                Enables Digital Vibrance Control.  The range of valid\n"
"                values are 0 through 255.  This feature is not available\n"
"                on products older than GeForce2.  Default: 0." ) );
    kSqueezedTextLabel35->setText( tr2i18n( "Digital vibrance:" ) );
    tabWidget6->changeTab( GeneralTab, tr2i18n( "&General Options" ) );
    groupBox19->setTitle( tr2i18n( "Enable TwinView" ) );
    groupBox59->setTitle( tr2i18n( "Connected monitors" ) );
    kSqueezedTextLabel128->setText( tr2i18n( "Monitor 1:" ) );
    kSqueezedTextLabel128_2->setText( tr2i18n( "Monitor 2:" ) );
    kComboBox46->clear();
    kComboBox46->insertItem( tr2i18n( "CRT - Cathode Ray Tube" ) );
    kComboBox46->insertItem( tr2i18n( "DFP - Digital Flat Panel" ) );
    kComboBox46->insertItem( tr2i18n( "TV - Television" ) );
    kComboBox46_2->clear();
    kComboBox46_2->insertItem( tr2i18n( "CRT - Cathode Ray Tube" ) );
    kComboBox46_2->insertItem( tr2i18n( "DFP - Digital Flat Panel" ) );
    kComboBox46_2->insertItem( tr2i18n( "TV - Television" ) );
    groupBox21->setTitle( tr2i18n( "2nd monitor refresh rates" ) );
    kSqueezedTextLabel42->setText( tr2i18n( "Horizontal sync:" ) );
    kSqueezedTextLabel42_2->setText( tr2i18n( "Vertical refresh:" ) );
    kSqueezedTextLabel43_2->setText( tr2i18n( "kHz" ) );
    kSqueezedTextLabel43->setText( tr2i18n( "kHz /" ) );
    kSqueezedTextLabel43_3->setText( tr2i18n( "Hz /" ) );
    kSqueezedTextLabel43_2_2->setText( tr2i18n( "Hz" ) );
    groupBox22->setTitle( tr2i18n( "MetaModes" ) );
    kSqueezedTextLabel126_2->setText( tr2i18n( "Display 2" ) );
    kSqueezedTextLabel126->setText( tr2i18n( "Display 1" ) );
    checkBox40->setText( tr2i18n( "Twin&View orientation:" ) );
    kComboBox15y->clear();
    kComboBox15y->insertItem( tr2i18n( "RightOf" ) );
    kComboBox15y->insertItem( tr2i18n( "LeftOf" ) );
    kComboBox15y->insertItem( tr2i18n( "Above" ) );
    kComboBox15y->insertItem( tr2i18n( "Below" ) );
    kComboBox15y->insertItem( tr2i18n( "Clone" ) );
    tabWidget6->changeTab( TwinViewTab, tr2i18n( "&TwinView Options" ) );
    checkBox37->setText( tr2i18n( "&Force hardware cursor" ) );
    checkBox38->setText( tr2i18n( "Force software cursor" ) );
    groupBox20->setTitle( tr2i18n( "Cursor shadow" ) );
    kSqueezedTextLabel37->setText( tr2i18n( "Cursor shadow alpha" ) );
    kSqueezedTextLabel37_2->setText( tr2i18n( "Cursor shadow X offset" ) );
    kSqueezedTextLabel37_2_2->setText( tr2i18n( "Cursor shadow Y offset" ) );
    groupBox12->setTitle( tr2i18n( "TV options" ) );
    kComboBox9->clear();
    kComboBox9->insertItem( tr2i18n( "PAL-B" ) );
    kComboBox9->insertItem( tr2i18n( "PAL-D" ) );
    kComboBox9->insertItem( tr2i18n( "PAL-G" ) );
    kComboBox9->insertItem( tr2i18n( "PAL-H" ) );
    kComboBox9->insertItem( tr2i18n( "PAL-I" ) );
    kComboBox9->insertItem( tr2i18n( "PAL-K1" ) );
    kComboBox9->insertItem( tr2i18n( "PAL-M" ) );
    kComboBox9->insertItem( tr2i18n( "PAL-N" ) );
    kComboBox9->insertItem( tr2i18n( "PAL-NC" ) );
    kComboBox9->insertItem( tr2i18n( "NTSC-J" ) );
    kComboBox9->insertItem( tr2i18n( "NTSC-m" ) );
    kComboBox9_2->clear();
    kComboBox9_2->insertItem( tr2i18n( "S-Video" ) );
    kComboBox9_2->insertItem( tr2i18n( "Composite" ) );
    kSqueezedTextLabel21->setText( tr2i18n( "TV standard:" ) );
    kSqueezedTextLabel21_2->setText( tr2i18n( "TV-Out format:" ) );
    kSqueezedTextLabel21_2_2->setText( tr2i18n( "TV Overscan:" ) );
    groupBox13->setTitle( tr2i18n( "DFP Options" ) );
    kSqueezedTextLabel24->setText( tr2i18n( "Scaling:" ) );
    kComboBox11->clear();
    kComboBox11->insertItem( tr2i18n( "Default" ) );
    kComboBox11->insertItem( tr2i18n( "Use flat panel's scaler" ) );
    kComboBox11->insertItem( tr2i18n( "Use NVIDIA scaler" ) );
    kComboBox11->insertItem( tr2i18n( "Center image" ) );
    kComboBox11->insertItem( tr2i18n( "Aspect-scale" ) );
    kComboBox11_2->clear();
    kComboBox11_2->insertItem( tr2i18n( "Default" ) );
    kComboBox11_2->insertItem( tr2i18n( "Enabled" ) );
    kComboBox11_2->insertItem( tr2i18n( "Disabled" ) );
    kSqueezedTextLabel25->setText( tr2i18n( "Dithering:" ) );
    tabWidget6->changeTab( CursorTVDFPTab, tr2i18n( "Cursor, TV && D&FP Options" ) );
    checkBox17->setText( tr2i18n( "No TwinView Xinerama info" ) );
    QToolTip::add( checkBox17, tr2i18n( "        Option \"NoTwinViewXineramaInfo\" \"boolean\"\n"
"                When in TwinView, the NVIDIA X driver normally provides a\n"
"                Xinerama extension that allows X clients (such as window\n"
"                managers) to call XineramaQueryScreens() to discover\n"
"                the current TwinView configuration.  This confuses some\n"
"                window mangers, so this option is provided to disable\n"
"                this behavior.  Default: TwinView Xinerama information\n"
"                is provided." ) );
    checkBox18->setText( tr2i18n( "Use hardware clip ID buffers" ) );
    QToolTip::add( checkBox18, tr2i18n( "        Option \"UseClipIDs\" \"boolean\"\n"
"                This allows usage of hardware clip id buffers to improve\n"
"                rendering performance to drawables that are clipped in a\n"
"                complex way.  This is only supported on Quadro4 and Quadro FX\n"
"                chips when UBB is enabled.  Enabling this sets aside a small\n"
"                amount of video ram for the clip id surfaces, typically less\n"
"                than two megabytes.  Default: Clip id surfaces are not used." ) );
    checkBox19->setText( tr2i18n( "No bandwidth test" ) );
    QToolTip::add( checkBox19, tr2i18n( "        Option \"NoBandWidthTest\" \"boolean\"\n"
"                As part of mode validation, the X driver tests if a\n"
"                given mode fits within the hardware's memory bandwidth\n"
"                constraints.  This option disables this test.  Default:\n"
"                the memory bandwidth test is performed." ) );
    checkBox20->setText( tr2i18n( "Multisample compatibility" ) );
    QToolTip::add( checkBox20, tr2i18n( "        Option \"MultisampleCompatibility\" \"boolean\"\n"
"                Enable or disable the use of separate front and back\n"
"                multisample buffers.  This will consume more memory\n"
"                but is necessary for correct output when rendering to\n"
"                both the front and back buffers of a multisample or\n"
"                FSAA drawable.  This option is necessary for correct\n"
"                operation of SoftImage XSI.  Default: a singlemultisample\n"
"                buffer is shared between the front and back buffers." ) );
    groupBox14->setTitle( tr2i18n( "Ignore display devices" ) );
    kPushButton5->setText( tr2i18n( "Add" ) );
    kPushButton6->setText( tr2i18n( "Remove" ) );
    textLabel1_2->setText( tr2i18n( "This option tells the NVIDIA kernel module to completely\n"
"ignore the indicated classes of display devices when\n"
"checking what display devices are connected." ) );
    tabWidget6->changeTab( OtherTab, tr2i18n( "Other" ) );
}

void DPMSGlobalDialog :: setLocale()					//OK
{
    setCaption( tr2i18n( "Global DPMS Settings" ) );
    groupBox17->setTitle( tr2i18n( "Custom DPMS Settings" ) );
    kSqueezedTextLabel99->setText( tr2i18n( "min" ) );
    kSqueezedTextLabel99_2->setText( tr2i18n( "min" ) );
    kSqueezedTextLabel99_3->setText( tr2i18n( "min" ) );
    kSqueezedTextLabel99_4->setText( tr2i18n( "min" ) );
    kSqueezedTextLabel98->setText( tr2i18n( "Blank time:" ) );
    kSqueezedTextLabel98_2->setText( tr2i18n( "Standby time:" ) );
    kSqueezedTextLabel98_2_2->setText( tr2i18n( "Suspend time:" ) );
    kSqueezedTextLabel98_2_2_2->setText( tr2i18n( "Off time:" ) );
    okButton->setText( tr2i18n( "OK" ) );
    cancelButton->setText( tr2i18n( "Cancel" ) );
    testDPMSButton->setText( tr2i18n( "&Test" ) );
}

void mouseDriverDialog :: setLocale()					//OK
{
    setCaption( tr2i18n( "Mouse driver settings" ) );
    kPushButton5->setText( tr2i18n( "Button mapping" ) );
    groupBox25->setTitle( tr2i18n( "Wheel button emulation" ) );
    textLabel31->setText( tr2i18n( "Wheel inertia (in pixels):" ) );
    textLabel32->setText( tr2i18n( "Timeout (ms):" ) );
    textLabel30->setText( tr2i18n( "Button:" ) );
    cancelButton->setText( tr2i18n( "Cancel" ) );
    okButton->setText( tr2i18n( "OK" ) );
    groupBox20->setTitle( tr2i18n( "Emulate 3 buttons" ) );
    kSqueezedTextLabel36->setText( tr2i18n( "Timeout:" ) );
    kSqueezedTextLabel37->setText( tr2i18n( "ms" ) );
    groupBox23->setTitle( tr2i18n( "Axis flipping" ) );
    textLabel25->setText( tr2i18n( "Cursor motion angle offset clockwise<br>(degrees)" ) );
    checkBox30->setText( tr2i18n( "&Flip X Axis" ) );
    checkBox31->setText( tr2i18n( "Flip &Y Axis" ) );
    groupBox24->setTitle( tr2i18n( "General" ) );
    textLabel20->setText( tr2i18n( "Protocol:" ) );
    textLabel21->setText( tr2i18n( "Number of buttons:" ) );
    textLabel28->setText( tr2i18n( "Resolution:" ) );
    textLabel26->setText( tr2i18n( "Baud rate:" ) );
    textLabel27->setText( tr2i18n( "Sample rate:" ) );
    checkBox12->setText( tr2i18n( "Clear RTS" ) );
    checkBox11->setText( tr2i18n( "Clear DTR" ) );
    checkBox35->setText( tr2i18n( "&Middle button sends L+R button event" ) );
    checkBox33->setText( tr2i18n( "A&utodetect" ) );
    checkBox34->setText( tr2i18n( "Au&todetect" ) );
    textLabel3->setText( QString::null );
}

void kbdOptionsDialog :: setLocale()					//OK
{
    setCaption( tr2i18n( "Keyboard driver options" ) );
    kSqueezedTextLabel174->setText( tr2i18n( "Device:" ) );
    checkBox51->setText( tr2i18n( "De&fault" ) );
    checkBox135->setText( tr2i18n( "Protocol:" ) );
    groupBox50->setTitle( tr2i18n( "Auto Repeat" ) );
    kSqueezedTextLabel176->setText( tr2i18n( "Repeat rate:" ) );
    kSqueezedTextLabel175->setText( tr2i18n( "Delay before repeating (ms):" ) );
    okButton->setText( tr2i18n( "OK" ) );
    cancelButton->setText( tr2i18n( "Cancel" ) );
    textLabel1->setText( QString::null );
}

void GammaDialogClass :: setLocale()
{
    setCaption( tr2i18n( "X Server Gamma options" ) );
    textLabel1->setText( tr2i18n( "Note: These are NOT KDE gamma settings. They will apply on the whole X Server (and desktop managers such as GNOME). Needs restart." ) );
    gammaGroupBox->setTitle( tr2i18n( "Use own gamma values" ) );
    textLabel1_2->setText( tr2i18n( "Value:" ) );
    groupBox29->setTitle( tr2i18n( "Color tweaks" ) );
    textLabel5->setText( tr2i18n( "B" ) );
    textLabel4->setText( tr2i18n( "G" ) );
    textLabel3->setText( tr2i18n( "R" ) );
    textLabel2->setText( tr2i18n( "Gamma" ) );
    pushButton57->setText( tr2i18n( "Cance&l" ) );
    pushButton56->setText( tr2i18n( "OK" ) );
    pushButton58->setText( tr2i18n( "Rese&t" ) );
}



QString wacomDrvDialogClass :: locRet(int number)
{
QString toRet = "";
if (number == 1) { toRet = i18n("Device path is required!"); }
return toRet;
}

void wacomDrvDialogClass :: setLocale()
{
    setCaption( tr2i18n( "Tablet driver settings" ) );
    groupBox17->setTitle( tr2i18n( "Options" ) );
    textLabel8->setText( tr2i18n( "Thereshold:" ) );
    textLabel7->setText( tr2i18n( "Serial number:" ) );
    textLabel6->setText( tr2i18n( "History size:" ) );
    checkBox9->setText( tr2i18n( "T&ilt" ) );
    checkBox10->setText( tr2i18n( "Alwa&ys core" ) );
    checkBox7->setText( tr2i18n( "&USB" ) );
    okButton->setText( tr2i18n( "OK" ) );
    groupBox16->setTitle( tr2i18n( "Coordinates" ) );
    textLabel5_2->setText( tr2i18n( "Top Y" ) );
    textLabel5_2_2->setText( tr2i18n( "Bottom X" ) );
    textLabel5->setText( tr2i18n( "Top X" ) );
    textLabel5_2_2_2->setText( tr2i18n( "Bottom Y" ) );
    checkBox8->setText( tr2i18n( "Keep s&hape" ) );
    cancelButton->setText( tr2i18n( "Cancel" ) );
    groupBox15->setTitle( tr2i18n( "General" ) );
    textLabel4->setText( tr2i18n( "Device path:" ) );
    textLabel9->setText( tr2i18n( "Baud rate:" ) );
    textLabel10->setText( tr2i18n( "Mode:" ) );
    textLabel12->setText( tr2i18n( "Debug level:" ) );
    textLabel3->setText( tr2i18n( "Device name:" ) );
    kSqueezedTextLabel1->setText( tr2i18n( "Type:" ) );
    comboBox14->clear();
    comboBox14->insertItem( tr2i18n( "38400" ) );
    comboBox14->insertItem( tr2i18n( "19200" ) );
    comboBox14->insertItem( tr2i18n( "9600 (default)" ) );
    comboBox15->clear();
    comboBox15->insertItem( tr2i18n( "Relative" ) );
    comboBox15->insertItem( tr2i18n( "Absolute" ) );
    comboBox12->clear();
    comboBox12->insertItem( tr2i18n( "Stylus" ) );
    comboBox12->insertItem( tr2i18n( "Eraser" ) );
    comboBox12->insertItem( tr2i18n( "Cursor" ) );
}

void advancedMonitorDialogClass :: setLocale()
{
    setCaption( tr2i18n( "Advanced screen options" ) );
    cancelButton->setText( tr2i18n( "Cancel" ) );
    okButton->setText( tr2i18n( "OK" ) );
    groupBox16->setTitle( tr2i18n( "General options" ) );
    checkBox23->setText( tr2i18n( "Defa&ult framebuffer layout:" ) );
    kComboBox13->clear();
    kComboBox13->insertItem( tr2i18n( "24 bpp" ) );
    kComboBox13->insertItem( tr2i18n( "32 bpp" ) );
    groupBox2->setTitle( tr2i18n( "Bios location" ) );
    checkBox27->setText( tr2i18n( "Disable &MTRR" ) );
    checkBox26->setText( tr2i18n( "Disable Int1&0 module" ) );
    checkBox25->setText( tr2i18n( "Use Int&10 to init primary graphics card" ) );
    checkBox28->setText( tr2i18n( "Disable accelerated rectangular e&xpansion blits from source patterns" ) );
    checkBox29->setText( tr2i18n( "Disable accelerated &fills of a rectangular region with a full-color pattern" ) );
    checkBox30->setText( tr2i18n( "Disable accelerated fills of a trape&zoidal region with a full-color pattern" ) );
    checkBox31->setText( tr2i18n( "Disable accelerated dashed Bresenham line draws" ) );
    checkBox32->setText( tr2i18n( "Disable accelerated dashed line draws between two arbitrary points" ) );
    checkBox33->setText( tr2i18n( "Disable accelerated transfers of full-color rectangular patterns from SYSMEM to VIDMEM" ) );
    checkBox34->setText( tr2i18n( "Disable accelerated fills of a rectangular region with a monochrome pattern" ) );
    checkBox35->setText( tr2i18n( "Disable accelerated fills of a trapezoidal region with a monochrome pattern" ) );
    checkBox36->setText( tr2i18n( "Disable accelerated draws &into pixmaps stored in offscreen video memory" ) );
    checkBox37->setText( tr2i18n( "Disable cachin&g of patterns in offscreen video memory" ) );
    checkBox38->setText( tr2i18n( "Disable accelerated rectangular expansion blits from source patterns stored in SYSMEM" ) );
    checkBox40->setText( tr2i18n( "Disable accelerated &transfers of full-color rectangular patterns from SYSMEM to VIDMEM" ) );
    checkBox41->setText( tr2i18n( "Disable accelerated rectangular expansion blits from source patterns in offscreen VIDMEM" ) );
    checkBox42->setText( tr2i18n( "Disable accelerated copies of rectangular regions from one part of VIDMEM to another" ) );
    checkBox43->setText( tr2i18n( "Disable accelerated solid Bresenham line draws" ) );
    checkBox44->setText( tr2i18n( "Disable accelerated solid-color fills of rectangles" ) );
    checkBox45->setText( tr2i18n( "Disable accelerated solid-color fills of Bresenham trapezoids" ) );
    checkBox46->setText( tr2i18n( "Disable accelerated solid &horizontal and vertical line draws" ) );
    checkBox47->setText( tr2i18n( "Disable accelerated solid &line draws between two arbitrary points" ) );
    checkBox24->setText( tr2i18n( "Disable XAA (X Acceleration Architecture)" ) );
}
