/***************************************************************************
 *   Copyright (C) 2006 by Tomasz Salacinski   *
 *   distortion@vp.pl   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#include "kxmain.h"
#include <kapplication.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <klocale.h>
#include <iostream.h>
#include <qfile.h>
static const char description[] =
    I18N_NOOP("A KDE KPart Application");

static const char version[] = "0.2.4";

static KCmdLineOptions options[] =
{
//    { "+[URL]", I18N_NOOP( "Document to open" ), 0 },
    KCmdLineLastOption
};

int main(int argc, char **argv)
{
    KAboutData about("kxgenerator", I18N_NOOP("kX Generator"), version, description,
                     KAboutData::License_GPL, "(C) 2006 Tomasz Salacinski", 0, 0, "distortion@vp.pl");
    about.addAuthor( "Tomasz Salacinski", 0, "distortion@vp.pl" );
    KCmdLineArgs::init(argc, argv, &about);
    KApplication app;
    KCmdLineArgs::addCmdLineOptions( options );
    KCmdLineArgs *args = KCmdLineArgs::parsedArgs();


        kxMain *mainWin = 0;
        mainWin = new kxMain();
bool xorgFound = true;


if (!QFile::exists("/etc/X11/xorg.conf"))	//TODO Change check from xtest to xorg.conf
{
    QMessageBox::critical(0, QObject::tr("X Server Configuration Utilitty"), QObject::tr("Unable to locate xorg.conf file.") );
    xorgFound = false;
}






        app.setMainWidget( mainWin );
        if(xorgFound) { mainWin->show(); }



        args->clear();


    // mainWin has WDestructiveClose flag by default, so it will delete itself.
    if (xorgFound) { return app.exec(); }
}

