/***************************************************************************
 *   Copyright (C) 2006 by Tomasz Salacinski   *
 *   distortion@vp.pl   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include <qstring.h>
#include <qmessagebox.h>

class xorgConf
{
public:
xorgConf();

QString mouseIdentBuf[4096];
QString kbdIdentBuf[4096];
QString screenIdentBuf[4096];
QString deviceIdentBuf[4096];
QString monitorIdentBuf[4096];

QString getSecUniqueNum(QString sectionName, int sectionNum);

void saveXorg(QString xorg);
int sectionCount(QString sectionName);
QString returnConfig();
QString deviceDriver(int sectionNumber);
QString section(QString sectionName, int sectionNumber);
QString getValue(QString sectionName, int sectionNumber, QString valueName, int valueNumber);
QString getOption(QString sectionName, int sectionNumber, QString OptionName);
QString getOptionNoBrackets(QString sectionName, int sectionNumber, QString OptionName);
void removeOption(QString sectionName, int sectionNumber, QString OptionName);

bool valExists(QString sectionName, int sectionNumber, QString valueName);

void addInputDriver(QString drvName);

void saveValue(QString sectionName, int sectionNumber, QString valueName, int valueNumber, QString newValue);
void saveValNoBr(QString sectionName, int sectionNumber, QString valueName, int valueNumber, QString newValue);
void saveOption(QString sectionName, int sectionNumber, QString valueName, int valueNumber, QString newValue);
void saveOptionNoBrackets(QString sectionName, int sectionNumber, QString valueName, int valueNumber, QString newValue);
void removeValue(QString sectionName, int sectionNum, QString valueName, int valueNum);
void removeSection(QString sectionName, int sectionNumber);
void addSection (QString sectionName);
void addModule (QString moduleName);
void removeModule (QString moduleName);
int kbdCount();
int pointerCount();
int kbdTranslate(int sectionNum);
int pointerTranslate(int sectionNum);
QString getSrvLayScreens(int sectionNumber);
bool isKeyboard(int sectionNum);
bool isPointer (int sectionNum);
QString getMouseList();
QString getKeyboardList();

void replaceSomething(QString rep1, QString rep2);

//Modes
bool haveDepth(int sectionNum, QString depth);
QString getDefaultDepth(int sectionNum);
QString getModes(int sectionNum, QString depth);
void removeMode(int sectionNum, QString depth, QString mode);
void addMode(int sectionNum, QString depth, QString mode);
void removeDepth(int sectionNum, QString depth);
void saveDefaultDepth(int sectionNum, QString depth);
void addDepth(int sectionNum, QString depth);


//Screen
void addScreen(int sectionNum, QString name);
void addPointer(int sectionNum, QString name);
void addKeyboard(int sectionNum, QString name);
void removeSrvLayComp(int sectionNum, QString name, QString value);
QString getGamma(int sectionNum);
void removeGamma(int sectionNum);
void saveGamma(int sectionNum, int red, int green, int blue);
void saveGamma(int sectionNum, int gamma);
bool checkOption(QString sectionName, int sectionNum, QString name);
int returnSecNum();

void reset();


private:
QString xorgConfig;
int secUniqueNum;
};
